Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.jar
Class JarFileSystem

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractFileSystem
              org.apache.commons.vfs.provider.zip.ZipFileSystem
                  org.apache.commons.vfs.provider.jar.JarFileSystem

All Implemented Interfaces:
  FileSystem, VfsComponent

public class JarFileSystem
extends ZipFileSystem

A read-only file system for Jar files.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Brian Olsen

Constructor Summary
`protected` | `JarFileSystem(FileName rootName, FileObject file, FileSystemOptions fileSystemOptions)`

Method Summary
`protected void` | `addCapabilities(Collection caps)` Returns the capabilities of this file system.
`protected ZipFile` | `createZipFile(File file)`
`protected ZipFileObject` | `createZipFileObject(FileName name, ZipEntry entry)`
`Object` | `getAttribute(String attrName)` Retrives the attribute with the specified name.
`protected ZipFile` | `getZipFile()`

Methods inherited from class org.apache.commons.vfs.provider.zip.ZipFileSystem
`createFile, doCloseCommunicationLink, init`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileSystem
`addJunction, addListener, close, closeCommunicationLink, decorateFileObject, doReplicateFile, fireFileChanged, fireFileCreated, fireFileDeleted, getFileFromCache, getFileSystemManager, getFileSystemOptions, getLastModTimeAccuracy, getParentLayer, getRoot, getRootName, hasCapability, isOpen, isReleaseable, notifyAllStreamsClosed, putFileToCache, removeFileFromCache, removeJunction, removeListener, replicateFile, resolveFile, resolveFile, setAttribute`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.FileSystem
`addJunction, addListener, getFileSystemManager, getFileSystemOptions, getLastModTimeAccuracy, getParentLayer, getRoot, getRootName, hasCapability, removeJunction, removeListener, replicateFile, resolveFile, resolveFile, setAttribute`

Constructor Detail

### JarFileSystem

    protected JarFileSystem(FileName rootName,
                            FileObject file,
                            FileSystemOptions fileSystemOptions)
                     throws FileSystemException

Method Detail

### createZipFile

    protected ZipFile createZipFile(File file)
                             throws FileSystemException

  Overrides:
    `createZipFile` in class `ZipFileSystem`
  Throws:
    `FileSystemException`

### createZipFileObject

    protected ZipFileObject createZipFileObject(FileName name,
                                                ZipEntry entry)
                                         throws FileSystemException

  Overrides:
    `createZipFileObject` in class `ZipFileSystem`
  Throws:
    `FileSystemException`

### addCapabilities

    protected void addCapabilities(Collection caps)

  Returns the capabilities of this file system.

  Overrides:
    `addCapabilities` in class `ZipFileSystem`

### getAttribute

    public Object getAttribute(String attrName)
                        throws FileSystemException

  Retrives the attribute with the specified name. The default implementation simply throws an exception.

  Specified by:
    `getAttribute` in interface `FileSystem`
  Overrides:
    `getAttribute` in class `AbstractFileSystem`
  Throws:
    `FileSystemException`

### getZipFile

    protected ZipFile getZipFile()
                          throws FileSystemException

  Overrides:
    `getZipFile` in class `ZipFileSystem`
  Throws:
    `FileSystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.